# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'taubot/version'

Gem::Specification.new do |spec|
  spec.name          = "taubot"
  spec.version       = Taubot::VERSION
  spec.authors       = ["Kento Kaneko"]
  spec.email         = ["kaneko2@illinois.edu"]
  spec.summary       = %q{Taubot is a bot that tweets an update to a website.}
  spec.description   = %q{Taubot is a bot that tweets an update to a website.}
  spec.homepage      = ""
  spec.license       = "Modified University of Illinois/NCSA"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["bin", "lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency "nokogiri", ">= 1.6"
  spec.add_runtime_dependency "twitter", ">= 5.3"

  spec.required_ruby_version = ">= 1.9.3"
end
